import 'package:flutter/cupertino.dart';
import 'package:hum/core/constants/app_text.dart';
import 'package:hum/core/constants/app_theme.dart';
import 'package:hum/views/listings/views/new/state_selection.dart';

enum DrawerStatus { selection, uploading, parsing, editing, listed }

class DrawerNewItem extends StatefulWidget {
  const DrawerNewItem({super.key});

  @override
  State<DrawerNewItem> createState() => _DrawerNewItemState();
}

class _DrawerNewItemState extends State<DrawerNewItem> {
  DrawerStatus _drawerStatus = DrawerStatus.selection;

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      navigationBar: CupertinoNavigationBar(
        leading: CupertinoButton(
          padding: EdgeInsets.all(0),
          child: Text(doneCancel),
          onPressed: () {
            Navigator.of(context).maybePop();
          },
        ),
      ),
      backgroundColor: CupertinoDynamicColor.resolve(colorBarControl, context),
      child: (_drawerStatus == DrawerStatus.selection) ? DrawerStateSelection() : Container(),
    );
  }
}
